from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker

from create_db import Card
from get_files import get_file_list
from config import CONFIG 


engine = create_engine(CONFIG['DB_CONNECTION'])
dbsessionmaker = sessionmaker(bind=engine)
dbsession = dbsessionmaker()


stuff = get_file_list()
for item in stuff:
    if item[-4:] == ".pdf":
        card = Card(title=item, interest_rate=-1.0, owner_id=1)
        dbsession.add(card)
        dbsession.commit()



"""
  id              = Column(Integer, primary_key=True, autoincrement=True)
    title           = Column(String(1024))
    interest_rate   = Column(Float)
    owner_id        = Column(Integer, ForeignKey("user.id"), nullable=False)

"""